Dancer2::Core::Route(3pm)

NAME
Dancer2::Core::Route - Dancer2's route handler

VERSION
version 2.1.0

ATTRIBUTES

  method
The HTTP method of the route (lowercase). Required.

  code
The code reference to execute when the route is ran. Required.

  regexp
The regular expression that defines the path of the route. Required. Coerce from Dancer2's route patterns.

  prefix
The prefix to prepend to the "regexp". Optional.

  options
A HashRef of conditions on which the matching will depend. Optional.

METHODS

  match
Try to match the route with a given Dancer2::Core::Request object. Returns the hash of matching data if success (captures and values of the route against the path of the request) or "undef" if not.

    my $match = $route->match( $request );

  execute
Runs the coderef of the route.

AUTHOR
Dancer Core Developers

COPYRIGHT AND LICENSE
This software is copyright (c) 2026 by Alexis Sukrieh.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.